import { createRoot } from 'react-dom/client';

// import data, simulate data retrieval from database, *personsData* is an Array object
import personsData from '../data/personsData.js';

// import React component
import PersonListing from '../components/personListing.jsx';

const bootstrapReact = () => {
   const root = createRoot(document.getElementById('insertReactHere'));  // parent for created element = "insertion point"

   root.render(<PersonListing persons={ personsData } />);             // use defined imported component
}


window.addEventListener('DOMContentLoaded', bootstrapReact);
